/*
 *       _____ _____ _____                _       _
 *      |_   _/  __ \_   _|              (_)     | |
 *        | | | /  \/ | |  ___  ___   ___ _  __ _| |
 *        | | ||      | | / __|/ _ \ / __| |/ _` | |
 *       _| |_| \__/\ | |_\__ \ (_) | (__| | (_| | |
 *      |_____\_____/ |_(_)___/\___/ \___|_|\__,_|_|
 *                   ___
 *                  |  _|___ ___ ___
 *                  |  _|  _| -_| -_|  LICENSE
 *                  |_| |_| |___|___|
 *
 * IT NEWS  <>  PROGRAMMING  <>  HW & SW  <>  COMMUNITY
 *
 * This source code is a part of online courses at IT social
 * network WWW.ICT.SOCIAL
 *
 * Feel free to use it for whatever you want, modify it and share it but
 * don't forget to keep this link in your code.
 *
 * Visit http://www.ict.social/licenses for more information
 */
package registry;

import java.util.prefs.*;

public class NodeHierarchy {

    private static Preferences prefs;
    @SuppressWarnings("static-access")

    public static void main(String[] args) throws BackingStoreException {
        System.out.println("Program started");
        prefs = Preferences.userRoot().node("Program2");
        System.out.println("Node name : " + prefs.absolutePath());
        System.out.println("Parent node : " + prefs.parent());
        System.out.println("Node info : " + prefs.systemRoot());
        prefs = null;
        prefs = Preferences.userRoot().node("Node1").node("Node2").node("Node3");
        System.out.println("Node name : " + prefs.absolutePath());
        System.out.println("Parent node : " + prefs.parent());
        System.out.println("Node info: " + prefs.systemRoot());
        // write keys and values
        prefs.put("Key1", "Value1");
        prefs.put("Key2", "Value2");
        // print keys
        String[] klice = prefs.keys();
        for (String s : klice) {
            System.out.println("Key : " + s);
        }
        System.out.println("Program end");
    }
}