/*
 *       _____ _____ _____                _       _
 *      |_   _/  __ \_   _|              (_)     | |
 *        | | | /  \/ | |  ___  ___   ___ _  __ _| |
 *        | | ||      | | / __|/ _ \ / __| |/ _` | |
 *       _| |_| \__/\ | |_\__ \ (_) | (__| | (_| | |
 *      |_____\_____/ |_(_)___/\___/ \___|_|\__,_|_|
 *                   ___
 *                  |  _|___ ___ ___
 *                  |  _|  _| -_| -_|  LICENSE
 *                  |_| |_| |___|___|
 *
 * IT NEWS  <>  PROGRAMMING  <>  HW & SW  <>  COMMUNITY
 *
 * This source code is a part of online courses at IT social
 * network WWW.ICT.SOCIAL
 *
 * Feel free to use it for whatever you want, modify it and share it but
 * don't forget to keep this link in your code.
 *
 * Visit http://www.ict.social/licenses for more information
 */
package registry;

import java.util.prefs.Preferences;

public class RetrievingData {

    private static Preferences prefs;

    public static void main(String[] args) {
        System.out.println("Program started");
        //  create node
        prefs = Preferences.userRoot().node("Example2");
        //  retrieve data from the registry
        String string = null;
        string = prefs.get("stringKey", string);
        System.out.println("The String value: " + string);

        System.out.println("The Double value: " + prefs.getDouble("doubleKey", 0d));
        System.out.println("The Float value: " + prefs.getFloat("floatKey", 0f));
        System.out.println("The Int value: " + prefs.getInt("intKey", 0));
        System.out.println("The Long value: " + prefs.getLong("longKey", 0L));
        System.out.println("The Boolean value: " + prefs.getBoolean("booleanKey", false));

        System.out.println("A String key which doesn't exist : " + prefs.get("ssKey", "No value"));
        System.out.println("Program ended");
    }
}